列出 domainNameReferences
命名空间:microsoft.graph
检索引用域的 directoryObject 列表。 返回的列表将包含对域具有依赖关系的所有目录对象。
Permissions
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | Domain.Read.All、Domain.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| Application | Domain.Read.All、Domain.ReadWrite.All |
当应用程序查询返回 directoryObject 类型集合的关系时,如果它没有读取某种派生类型(如设备)的权限,则会返回该类型的成员,但返回的信息有限。 使用这种行为,应用程序可请求所需的最低特权权限,而不依赖于 Directory.* 集权限。 有关详细信息,请参阅为不可访问的成员对象返回有限的信息。
HTTP 请求
GET /domains/{id}/domainNameReferences
可选的查询参数
此方法支持 $select OData 查询参数,$filter以帮助自定义响应。 例如,只能按返回的对象的 OData 类型进行/domains/{domainId}/domainNameReferences/microsoft.graph.user筛选, /domains/{domainId}/domainNameReferences/microsoft.graph.group
请求标头
| 名称 | 说明 |
|---|---|
| Authorization | Bearer {token}。必需。 |
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 200 OK 响应代码和 directoryObject 对象集合。
示例
请求
GET https://graph.microsoft.com/v1.0/domains/contoso.com/domainNameReferences
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-type: application/json
{
"@odata.context": "https://graph.microsoft.com/v1.0/$metadata#directoryObjects",
"value": [
{
"@odata.type": "#microsoft.graph.user",
"@odata.id": "https://graph.microsoft.com/v2/927c6607-8060-4f4a-a5f8-34964ac78d70/directoryObjects/fc9a2c2b-1ddc-486d-a211-5fe8ca77fa1f/Microsoft.DirectoryServices.User",
"id": "fc9a2c2b-1ddc-486d-a211-5fe8ca77fa1f",
"accountEnabled": true,
"city": "Nairobi",
"createdDateTime": "2021-04-14T05:26:16Z",
"country": "Kenya",
"displayName": "Adele Vance",
"givenName": "Adele",
"mail": "AdeleV@Contoso.com",
"mailNickname": "AdeleV"
},
{
"@odata.type": "#microsoft.graph.group",
"@odata.id": "https://graph.microsoft.com/v2/927c6607-8060-4f4a-a5f8-34964ac78d70/directoryObjects/eac82bd3-931c-4d47-9e68-735595a8eb8a/Microsoft.DirectoryServices.Group",
"id": "eac82bd3-931c-4d47-9e68-735595a8eb8a",
"createdDateTime": "2021-04-14T06:59:47Z",
"createdByAppId": "00000005-0000-0ff1-ce00-000000000000",
"organizationId": "927c6607-8060-4f4a-a5f8-34964ac78d70",
"description": "Contribute your ideas and ask your questions to our leadership team. And tune in for regular Employee Q & A live events. You can learn more about what",
"displayName": "CEO Connection",
"expirationDateTime": "2021-10-11T06:59:47Z",
"groupTypes": [
"Unified"
],
"mail": "ceoconnection@Contoso.com",
"mailEnabled": true,
"mailNickname": "ceoconnection",
"resourceBehaviorOptions": [
"CalendarMemberReadOnly"
],
"visibility": "Public",
"writebackConfiguration": {
"isEnabled": null,
"onPremisesGroupType": null
}
}
]
}
反馈
提交和查看相关反馈